<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
</head>
<body>
	<h1>REVIEWS</h1>
	<ul>
		<li><a href="https://theflyinglugawph.wordpress.com/2019/06/27/album-review-benben-limasawa-street/">Ben&Ben</a></li>

		<li><a href="https://musicboard.app/artist/139225229">NOBITA</a></li>

		<li><a href="https://theflyinglugawph.wordpress.com/2021/06/05/trck-review-adie-paraluman/">Adie</a></li>
</ul>
		<a href="./music/listings.html">Go back</a>